summaryrefslogtreecommitdiff
blob: 308a6aeffb3eba034f1a6d8e360ecc6930d0fb2d (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

####################################################################
#
# When you add an entry to the top of this file, add your name, the date
# in the UTC timezone, and an explanation of why something is getting masked.
# Please be extremely careful not to commit atoms that are not valid, as it can
# cause large-scale breakage, especially if it ends up in the daily snapshot.
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masking  these versions until we can get the
## # v4l stuff to work properly again
## =media-video/mplayer-0.90_pre5
## =media-video/mplayer-0.90_pre5-r1
#
# - Best last rites (removal) practices -
# Include the following info:
# a) reason for masking
# b) bug # for the removal (and yes you should have one)
# c) date of removal (either the date or "in x days")
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masked for removal in 30 days.  Doesn't work
## # with new libfoo. Upstream dead, gtk-1, smells
## # funny. (bug #987654)
## app-misc/some-package

#--- END OF EXAMPLES ---

# Andreas Sturmlechner <asturm@gentoo.org> (2020-10-18)
# Dead upstream, fails to build against libfprint-2, multiple longstanding bugs
# #490234, #678232, #705496, #718642 and no maintainer. Removal in 30 days.
sys-auth/fingerprint-gui

# Marek Szuba <marecki@gentoo.org> (2020-10-13)
# Not compatible with >=dev-libs/openssl-1.1.0, no maintainer in Gentoo,
# no new commits to the upstream Git repository since September 2013.
# No reverse dependencies. Removal in 30 days (Bug #736190).
dev-lua/luacrypto

# Marek Szuba <marecki@gentoo.org> (2020-10-13)
# All these ebuilds require slotted Lua, which is still masked.
>=app-misc/worker-3.8.3-r100
>=dev-lua/luv-1.32.0.0-r100
>=dev-lua/luadbi-0.7.2-r100
>=dev-lua/messagepack-0.3.2-r100
>=dev-lua/toluapp-1.0.93_p20190513-r100
>=games-engines/love-0.7.2-r100:0.7
>=games-engines/love-0.8.0-r100:0.8
>=games-engines/love-11.3-r100:0
>=mail-filter/imapfilter-2.6.16-r100
>=net-analyzer/suricata-6.0.0-r100
>=net-p2p/eiskaltdcpp-2.2.10-r100
>=www-servers/lighttpd-1.4.55-r100

# Andrew Savchenko <bircoph@gentoo.org> (2020-10-11)
# Mask old openafs version and corresponding openafs-kernel with
# multiple CVEs.
# All kernel module functionality is merged back in the single
# net-fs/openafs package using USE="modules" starting from 1.8 branch.
# No reverse dependencies, bug #719136. Removal in 30 days.
net-fs/openafs-kernel
<net-fs/openafs-1.8

# Sam James <sam@gentoo.org> (2020-10-11)
# Current Wireshark in ~arch is vulnerable.
# Not updated yet due to maintainer inactivity.
# This forces a downgrade to the fixed, stable
# version of Wireshark.
# bug #744592
=net-analyzer/wireshark-3.3.0

# Sergei Trofimovich <slyfox@gentoo.org> (2020-10-11)
# Mask new version until calendar apps are sorted out:
# bug #747538.
>=sys-libs/timezone-data-2020b

# Mikle Kolyada <zlogene@gentoo.org> (2020-10-09)
# pam module separated from
# the sys-auth/passwdqc package
# (now merged back).
# Removal in 30 days
sys-auth/pam_passwdqc

# Sergei Trofimovich <slyfox@gentoo.org> (2020-10-09)
# Mask older erlang releases for removal.
# Bug #740894.
<dev-lang/erlang-23

# Azamat H. Hackimov <azamat.hackimov@gmail.com> (2020-10-06)
# 1.3.3 is broken and failing unittests for net-im/prosody. Bug #746782.
>=dev-lua/luaexpat-1.3.3

# Sam James <sam@gentoo.org> (2020-10-05)
# Masked for testing. New major versions of Guile
# often break reverse dependencies.
# Guile in Gentoo is not slotted, so let's be cautious.
# bug #705554, bug #689408.
>=dev-scheme/guile-3.0.4

# Ulrich Müller <ulm@gentoo.org> (2020-10-04)
# Version 1.11 introduced different startup conventions for the server
# which breaks the OpenRC init script. Bug #746227.
>=net-misc/tigervnc-1.11.0

# David Seifert <soap@gentoo.org> (2020-10-03)
# Broken for over 2 years, declared EOL by upstream,
# the only revdep is media-gfx/pinta, which is also
# broken. Bug #612592, #644232, #659436, #688722,
# Removal in 30 days.
dev-dotnet/mono-addins
media-gfx/pinta

# Andreas Sturmlechner <asturm@gentoo.org> (2020-09-27)
# Obsolete package blocking unmasking of >=x11-libs/pango-1.44, dead upstream.
# No reverse dependencies, bug #698922. Removal in 30 days.
x11-libs/pangox-compat

# Alexey Sokolov <alexey+gentoo@asokolov.org> (2020-10-03)
# Package with no available HOMEPAGE, SRC_URI and multiple compilation issues.
# Bug #741468, removal in 30 days.
games-board/spider

# Michał Górny <mgorny@gentoo.org> (2020-09-27)
# Discontinued upstream.  Not ported to Python 3, and no patches seem
# readily available.
# Removal in 30 days.  Bug #714636.
net-voip/telepathy-haze

# Michał Górny <mgorny@gentoo.org> (2020-09-26)
# These packages still require Python 2.7, or are dependencies of py2.7
# packages.  They are either dead upstream, their Python 3 porting
# efforts are not progressing or their maintainers are simply
# unresponsive.  Please do not remove any packages from this list unless
# you actually port them to Python 3.
# Removal in 30 days.  Please find relevant bugs on tracker bug #694800.
games-arcade/diameter
games-board/gnome-hearts
net-analyzer/sguil-server
net-analyzer/tcpflow

# Michał Górny <mgorny@gentoo.org> (2020-09-26)
# Dead Python 2-only package.  No significant revdeps left.
# Removal in 30 days.  Bug #710024.
dev-python/mysql-python

# Michał Górny <mgorny@gentoo.org> (2020-09-26)
# Python 2.7 backport with no revdeps left.
# Removal in 30 days.  Bug #734636.
dev-python/singledispatch

# Michał Górny <mgorny@gentoo.org> (2020-09-26)
# These packages either use obsolete scons-utils.eclass API that
# does not support Python 3, or do not support Python 3 at all.
# Their maintainers are unresponsive.  Please do not remove any packages
# from this list unless you actually port them to Python 3.
# Removal in 30 days.  Please find relevant bugs on tracker bug #635934.
dev-libs/mongo-cxx-driver
games-action/btanks
games-emulation/gambatte
games-sports/vdrift
games-strategy/endless-sky
games-strategy/glob2
net-vpn/freelan
sci-geosciences/mapnik
sci-visualization/nonolith-connect
sys-apps/lcdtest

# Michał Górny <mgorny@gentoo.org> (2020-09-25)
# PyPy3.7 alpha.  Known to break a few packages.  Masked until it
# matures more.
=dev-python/pypy3-7.3.2_p37*
=dev-python/pypy3-exe-7.3.2_p37*
=dev-python/pypy3-exe-bin-7.3.2_p37*

# Michał Górny <mgorny@gentoo.org> (2020-09-25)
# Effectively unmaintained.  Not ported to py3.7.  Multiple unresolved
# build failures reported.  No reverse dependencies.
# Removal in 30 days.  Bug #737412.
sci-libs/shogun

# Aaron Bauman <bman@gentoo.org> (2020-09-22)
# Fails to build with new Python or at all.
# QA issues (byte compiling etc). All live ebuilds.
# Removal in 30 days
net-wireless/gr-baz
net-wireless/gr-doa
net-wireless/gr-foo
net-wireless/gr-ntsc
net-wireless/gr-ntsc-rc

# Michał Górny <mgorny@gentoo.org> (2020-09-09)
# These packages (or package versions) still require Python 2.7.
# They are either dead upstream, their Python 3 porting efforts are
# not progressing or their maintainers are simply unresponsive.
# Please do not remove any packages from this list unless you actually
# port them to Python 3.
# Removal in 30 days.  Please find relevant bugs on tracker bug #694800.
dev-vcs/gitstats
games-strategy/0ad

# Arfrever Frehtes Taifersar Arahesis <arfrever.fta@gmail.com> (2020-09-01)
# Mismatched version (bug #695022). Masked to force upgrade to 2.0.4_pre20200306162733.
# (Mask should remain after ebuilds are deleted, until 2021-03-01 or
# until new upstream release with proper versioning.)
~app-i18n/sunpinyin-3.0.0_rc1
~app-i18n/ibus-sunpinyin-3.0.0_rc1
~app-i18n/scim-sunpinyin-3.0.0_rc1
~app-i18n/xsunpinyin-3.0.0_rc1

# Piotr Karbowski <slashbeast@gentoo.org> (2020-08-28)
# Temporary mask due to multiple reports of segfaults at startup, bug #739056
=x11-base/xorg-server-1.20.9

# Alfredo Tupone <tupone@gentoo.org> (2020-08-23)
# Ported to py3 but not yet released
# Masked to allow py2.7 removal
dev-lang/spark

# Alfredo Tupone <tupone@gentoo.org> (2020-08-16)
# Ported to py3.8 but not yet released
# Masked to allow py2.7 removal
dev-ada/langkit
dev-ada/libadalang
dev-ada/libadalang-tools
dev-ada/gps
dev-ada/gnatcoll-bindings
dev-ada/gnatcoll-db

# Mart Raudsepp <leio@gentoo.org> (2020-08-15)
# Development release, needs testing to ensure valac-0.50
# works for existing packages
>=dev-libs/vala-common-0.49
dev-lang/vala:0.50

# Michał Górny <mgorny@gentoo.org> (2020-07-28)
# Masked for the time being due to dep on LLVM 8.  Bug #720236.
<=dev-ada/gps-2019-r1

# Sam James <sam@gentoo.org> (2020-07-20)
# Serious security vulnerabilities, including
# remote code execution. Upstream have not yet
# made a stable release in response to numerous
# CVEs. Applying patches is not a workable
# solution for now because of the fragility
# of reverse dependencies.
# Indefinitely masking until we have a solution
# for this.
# bug #719084
net-analyzer/ntopng
net-analyzer/pmacct
net-libs/nDPI

# Jaco Kroon <jaco@uls.co.za> (2020-07-20)
# Asterisk 11 is EOL. All users should migrate to asterisk 13.
# Removal unspecified, will remain for the foreseeable future. If you need
# help migrating, contact jkroon in #gentoo-voip on freenode.
=net-misc/asterisk-11*
=net-misc/asterisk-g729-11*

# Andreas K. Hüttel <dilfridge@gentoo.org> (2020-07-15)
# In preparation; do not use yet.
=dev-lang/perl-5.32*
~virtual/perl-Archive-Tar-2.360.0
~virtual/perl-autodie-2.320.0
~virtual/perl-Compress-Raw-Bzip2-2.93.0
~virtual/perl-Compress-Raw-Zlib-2.93.0
~virtual/perl-CPAN-2.270.0
~virtual/perl-DB_File-1.853.0
~virtual/perl-Devel-PPPort-3.570.0
~virtual/perl-Digest-MD5-2.550.100_rc
~virtual/perl-Dumpvalue-1.210.0
~virtual/perl-Encode-3.60.0
~virtual/perl-Exporter-5.740.0
~virtual/perl-ExtUtils-CBuilder-0.280.234
~virtual/perl-ExtUtils-MakeMaker-7.440.0
~virtual/perl-Filter-Simple-0.960.0
~virtual/perl-Getopt-Long-2.510.0
~virtual/perl-I18N-LangTags-0.440.0
~virtual/perl-IO-1.430.0
~virtual/perl-IO-Compress-2.93.0
~virtual/perl-IPC-Cmd-1.40.0
~virtual/perl-JSON-PP-4.40.0
~virtual/perl-Math-BigInt-1.999.818
~virtual/perl-Math-BigInt-FastCalc-0.500.900
~virtual/perl-Module-CoreList-5.202.6.200
~virtual/perl-Module-Load-Conditional-0.700.0
~virtual/perl-Module-Metadata-1.0.37
~virtual/perl-Net-Ping-2.720.0
~virtual/perl-parent-0.238.0
~virtual/perl-podlators-4.140.0
~virtual/perl-Pod-Simple-3.400.0
~virtual/perl-Safe-2.410.0
~virtual/perl-Scalar-List-Utils-1.550.0
~virtual/perl-Socket-2.29.0
~virtual/perl-Storable-3.210.0
~virtual/perl-Sys-Syslog-0.360.0
~virtual/perl-Term-ANSIColor-5.10.0
~virtual/perl-Test-Simple-1.302.175
~virtual/perl-Thread-Queue-3.140.0
~virtual/perl-threads-2.250.0
~virtual/perl-threads-shared-1.610.0
~virtual/perl-Time-HiRes-1.976.400
~virtual/perl-Time-Piece-1.340.100
~virtual/perl-Unicode-Normalize-1.270.0

# Mart Raudsepp <leio@gentoo.org> (2020-06-06)
# Meson port does not handle multilib yet and has issues
# regarding runstatedir (not using /run).
=net-misc/networkmanager-1.22*

# Georgy Yakovlev <gyakovlev@gentoo.org> (2020-03-27)
# Vulnerable old version of icedtea-web #711392
<dev-java/icedtea-web-1.8.4

# Eray Aslan <eras@gentoo.org> (2020-03-09)
# Mask experimental software
=mail-mta/postfix-3.6*

# Miroslav Šulc <fordfrog@gentoo.org> (2020-02-27)
# Depends on dev-java/eclipse-ecj:4.13 which
# depends on >=virtual/{jdk,jre}-11 which is masked
www-servers/tomcat:9

# Mart Raudsepp <leio@gentoo.org> (2020-02-16)
# Fails to automatically launch pipewire for me. Help welcome figuring it out.
net-misc/gnome-remote-desktop

# Stefan Strogin <steils@gentoo.org> (2020-02-12)
# Mask for testing revdeps.
>=dev-games/mygui-3.4.0

# Patrick McLean <chutzpah@gentoo.org> (2020-02-07)
# Mask until sys-libs/libxcrypt[system] is unmasked
>=virtual/libcrypt-2

# Mart Raudsepp <leio@gentoo.org> (2020-02-03)
# Needs news item, known breakages that need to be handled first, bug 698922
>=x11-libs/pango-1.43

# Robin H. Johnson <robbat2@gentoo.org> (2020-01-26)
# EAPI conversion caused some regressions, need to redesign old ebuilds.
=dev-lang/lua-5.1.5-r5

# Andrew Ammerlaan <andrewammerlaan@riseup.net> (2020-01-26)
# Proxy Maintainers <proxy-maint@gentoo.org>
# v3.6.4 uses huge amounts of memory: Bug #705682
# v3.6.1 is the latest version without this issue
>=dev-libs/libsass-3.6.2

# Lars Wendler <polynomial-c@gentoo.org> (2019-11-14)
# Breaks archives containing relative paths
# when being called with --no-absolute-filenames
# https://bugs.gentoo.org/700020
=app-arch/cpio-2.13

# Lars Wendler <polynomial-c@gentoo.org> (2019-10-16)
# Depends on apache-2.2
dev-libs/OpenSRF

# Miroslav Šulc <fordfrog@gentoo.org> (2019-10-16)
# Depends on >=virtual/{jdk,jre}-11 which is masked
dev-java/ant-eclipse-ecj:4.13
dev-java/eclipse-ecj:4.13

# Matt Turner <mattst88@gentoo.org> (2019-09-01)
# TeXmacs is the only remaining package in tree that requires guile-1.8, which
# is unsupported upstream. A TeXmacs port to Guile-2 has been in progress for a
# few years. Bug #436400
app-office/texmacs
<dev-scheme/guile-2

# Robin H. Johnson <robbat2@gentoo.org> (2019-07-08)
# Needs LOTS of testing, broke boot on my laptop in early attempts, maybe needs
# matching genkernel work?
>=sys-fs/lvm2-2.03

# Daniel Pielmeier <billie@gentoo.org> (2019-07-06)
# Requires >=dev-lang/lua-5.2 which is masked
>=app-admin/conky-1.11.4

# Robin H. Johnson <robbat2@gentoo.org> (2019-03-25)
# Requires >=dev-lang/lua-5.3 which is masked
sys-apps/likwid

# Miroslav Šulc <fordfrog@gentoo.org> (2019-01-23)
# Depends on >=virtual/{jdk,jre}-11 which is masked
dev-java/ant-eclipse-ecj:4.10
dev-java/eclipse-ecj:4.10

# Thomas Deutschmann <whissi@gentoo.org> (2018-12-10)
# Requires >=dev-lang/lua-5.2 which is masked
>=app-admin/lsyncd-2.2.3

# Andreas Sturmlechner <asturm@gentoo.org> (2018-11-25)
# Masked per security vulnerability CVE-2018-14345, bug #661510
# Keeping it masked while users have unsolved issues with >0.15.0.
<x11-misc/sddm-0.18.0

# Andreas Sturmlechner <asturm@gentoo.org> (2018-10-07)
# Masked for more testing especially of reverse-deps.
>=dev-games/ogre-1.11.2

# Andreas K. Hüttel <dilfridge@gentoo.org> (2018-09-11)
# Mask transition ebuilds that were needed only for <glibc-2.26
# We will keep them in the tree as long as we have masked
# <glibc-2.26.
~net-libs/libnsl-0
~net-libs/rpcsvc-proto-0

# James Le Cuirot <chewi@gentoo.org> (2017-12-17)
# Java 11 is not yet fully supported on Gentoo. Packages cannot depend
# on it so these virtuals are not yet required. If you wish to use
# Java 11 then install openjdk-(jdk|jre)-bin directly.
virtual/jdk:11
virtual/jre:11

# Andreas K. Hüttel <dilfridge@gentoo.org> (2017-10-18)
# sys-devel/automake versions 1.4, 1.5, 1.6, 1.7, 1.8
# have known security vulnerabilities, are broken with
# recent Perl (>=5.26.0), and are not used by anything in
# the Gentoo repository. Please uninstall.
sys-devel/automake:1.4
sys-devel/automake:1.5
sys-devel/automake:1.6
sys-devel/automake:1.7
sys-devel/automake:1.8
sys-devel/automake:1.9
sys-devel/automake:1.10

# Nicolas Bock <nicolasbock@gentoo.org> (2017-10-31)
# There are multiple unresolved upstream issues with >=jabref-bin-4.0 (#636036).
# If you still would like to use this version, please report any issues to
# upstream.
>=app-text/jabref-bin-4.0

# Michał Górny <mgorny@gentoo.org> (2017-05-22)
# for Maciej S. Szmigiero <mail@maciej.szmigiero.name>
# Any version above 5.100.138 breaks b43 driver in various ways.
# Also, b43 wiki page says to use 5.100.138. Bug #541080.
>=sys-firmware/b43-firmware-6.30.163.46

# Michał Górny <mgorny@gentoo.org>, Andreas K. Hüttel <dilfridge@gentoo.org>,
# Matthias Maier <tamiko@gentoo.org> (2017-05-21 and later updates)
# These old versions of toolchain packages (binutils, gcc, glibc) are no
# longer officially supported and are not suitable for general use. Using
# these packages can result in build failures (and possible breakage) for
# many packages, and may leave your system vulnerable to known security
# exploits.
# If you still use one of these old toolchain packages, please upgrade (and
# switch the compiler / the binutils) ASAP. If you need them for a specific
# (isolated) use case, feel free to unmask them on your system.
<sys-libs/glibc-2.30-r8
<sys-devel/binutils-2.33.1-r1
<sys-devel/binutils-hppa64-2.33.1

# Michał Górny <mgorny@gentoo.org> (2017-05-20)
# Old versions of CUDA and their reverse dependencies. They do not
# support GCC 5+, and are really old.
# (updated 2017-12-27 with cuda < 8 because of gcc < 5 mask)
<dev-util/nvidia-cuda-sdk-8
<dev-util/nvidia-cuda-toolkit-8

# Michael Orlitzky <mjo@gentoo.org> (2017-01-07)
# This package has some dangerous quality and security issues, but
# people may still find it useful. It is masked to prevent accidental
# use. See bugs 603346 and 604998 for more information.
app-admin/amazon-ec2-init

# Michał Górny <mgorny@gentoo.org> (2016-11-17)
# New version masked for testing. It supports source-window buffer size
# over 2G but it 'currently performs 3-5% slower and has 1-2% worse
# compression'.
>=dev-util/xdelta-3.1.0

# Andreas K. Hüttel <dilfridge@gentoo.org> (2016-04-03)
# Can exhaust all available memory depending on task
# but is made available for experts who heed this warning
# as newer versions produce different output. Contact
# the proxied maintainer Matthew Brewer <tomboy64@sina.cn>
# for questions.
<=media-gfx/slic3r-1.1.9999

# Robin H. Johnson <robbat2@gentoo.org> (2014-08-04)
# Masked for testing, presently fails upstream testsuite:
# FAIL:07:02:35 (00:00:00) db_dump/db_load(./TESTDIR.3/recd001.db:child killed: kill signal): expected 0, got 1
# FAIL:07:02:35 (00:00:00) Dump/load of ./TESTDIR.3/recd001.db failed.
# FAIL:07:02:35 (00:00:00) db_verify_preop: expected 0, got 1
# Lars Wendler <polynomial-c@gentoo.org> (2019-01-25)
# Also masked because of mostly incompatible license (AGPL-3)
=sys-libs/db-6.1*
=sys-libs/db-6.2*
=sys-libs/db-18.1*

# Mikle Kolyada <zlogene@gentoo.org> (2014-06-27)
# Masked for proper testing. (Major updates in the code).
~dev-perl/PortageXS-0.2.12

# Matti Bickel <mabi@gentoo.org> (2014-04-22)
# Masked slotted lua for testing
# William Hubbs <williamh@gentoo.org> (2016-08-07)
# Taking this mask since Mabi is retired
# Rafael Martins <rafaelmartins@gentoo.org> (2016-12-04)
# Adding Lua 5.3 to mask
app-eselect/eselect-lua
=dev-lang/lua-5.1.5-r103
=dev-lang/lua-5.2.4-r2
=dev-lang/lua-5.3.5-r2

# Samuli Suominen <ssuominen@gentoo.org> (2012-03-06)
# Masked for testing since this is known to break nearly
# every reverse dependency wrt bug 407091
>=dev-lang/lua-5.2.0

# Mike Gilbert <floppym@gentoo.org> (2014-03-04)
# Dev channel releases are only for people who are developers or want more
# experimental features and accept a more unstable release.
www-plugins/chrome-binary-plugins:unstable

# Diego E. Pettenò <flameeyes@gentoo.org> (2009-01-03)
# These packages are not supposed to be merged directly, instead
# please use sys-devel/crossdev to install them.
dev-util/mingw64-runtime
sys-libs/newlib
dev-embedded/avr-libc